package yangtz.cs.liu.campus.service.schoolNewTeacherDzdn;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.ComperhensiveVo;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.ComprehensiveReq;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.SchoolTeacherBasicInformation;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.SchoolTeacherBasicInformationVo;

import java.io.IOException;
import java.text.ParseException;
import java.util.List;

public interface SchoolTeacherBasichlnformationService  extends IService<SchoolTeacherBasicInformation> {

    List<SchoolTeacherBasicInformationVo> list(SchoolTeacherBasicInformationVo information) throws Exception;

    SchoolTeacherBasicInformationVo getByIds(Long id) throws ParseException;

    int  updateInformationById(SchoolTeacherBasicInformation information);

    AjaxResult  saveOrUpdateList( List<SchoolTeacherBasicInformation> schoolTeacherBasicInformations);

    /**
     * 综合信息查询
     * @param
     * @return
     */
    public ComperhensiveVo comprehensive(ComprehensiveReq req) throws Exception;
    public ComperhensiveVo comprehensiveByPhoneNumber(String phoneNumber) throws Exception;


    /*
     * 批量导入学生照片
     * */
    String importTeacherPicture(MultipartFile file);


    List<SchoolTeacherBasicInformation> importExcel(MultipartFile inputStream) throws IOException;

    /**
     * 根据手机号查询身份证信息
     * @param userPhones
     * @return
     */
    List<String> selectIdCardsByDdPhone(List<String> userPhones);

    /**
     * 根据手机号查询学科
     * @return
     */
    String selectSubByDdPhone(String ddPhone);
}
